Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFileDialog.Option

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QFileDialog.Option

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFileDialog

    public static final class QFileDialog.Option

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QFileDialog.Option` | `DontConfirmOverwrite` Don't ask for confirmation if an existing file is selected.
`static QFileDialog.Option` | `DontResolveSymlinks` Don't resolve symlinks in the file dialog.
`static QFileDialog.Option` | `DontUseNativeDialog` Don't use the native file dialog.
`static QFileDialog.Option` | `DontUseSheet` Don't make the native file dialog a sheet.
`static QFileDialog.Option` | `ShowDirsOnly` Only show directories in the file dialog.

Method Summary
`static QFileDialog.Options` | `createQFlags(QFileDialog.Option[] values)` This function creates a com.trolltech.qt.gui.QFileDialog$Options with the specified `com.trolltech.qt.gui.QFileDialog$Option[]` QFileDialog$Option values set.
`static QFileDialog.Option` | `resolve(int value)` Returns the QFileDialog$Option constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFileDialog.Option` | `valueOf(java.lang.String name)`
`static QFileDialog.Option[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ShowDirsOnly

    public static final QFileDialog.Option ShowDirsOnly

  Only show directories in the file dialog. By default both files and directories are shown.

### DontResolveSymlinks

    public static final QFileDialog.Option DontResolveSymlinks

  Don't resolve symlinks in the file dialog. By default symlinks are resolved.

### DontConfirmOverwrite

    public static final QFileDialog.Option DontConfirmOverwrite

  Don't ask for confirmation if an existing file is selected. By default confirmation is requested.

### DontUseSheet

    public static final QFileDialog.Option DontUseSheet

  Don't make the native file dialog a sheet. By default on Mac OS X, the native file dialog is made a sheet if it has a parent that can take a sheet.

### DontUseNativeDialog

    public static final QFileDialog.Option DontUseNativeDialog

  Don't use the native file dialog. By default on Mac OS X and Windows, the native file dialog is used.

Method Detail

### values

    public static QFileDialog.Option[] values()

### valueOf

    public static QFileDialog.Option valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QFileDialog.Options createQFlags(QFileDialog.Option[] values)

  This function creates a com.trolltech.qt.gui.QFileDialog$Options with the specified `com.trolltech.qt.gui.QFileDialog$Option[]` QFileDialog$Option values set.

### resolve

    public static QFileDialog.Option resolve(int value)

  Returns the QFileDialog$Option constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD